slepc-3.21.1 2024-04-26
Report Typos and Errors

# DSPseudoOrthogonalize

Orthogonalize the columns of a matrix with Modified Gram-Schmidt in an indefinite inner product space defined by a signature.

### Synopsis

    #include "slepcds.h"
    PetscErrorCode DSPseudoOrthogonalize(DS ds,DSMatType mat,PetscInt cols,PetscReal *s,PetscInt *lindcols,PetscReal *ns)

Logically Collective

### Input Parameters

| ds | - the direct solver context
| mat | - the matrix
| cols | - number of columns to orthogonalize (starting from column zero)
| s | - the signature that defines the inner product

### Output Parameters

| lindcols | - (optional) linearly independent columns of the matrix
| ns | - (optional) the new signature of the vectors

### Note

After the call the matrix satisfies A'*s*A = ns.

### See Also

DSOrthogonalize()

### Level

developer

### Location

src/sys/classes/ds/interface/dspriv.c
Index of all DS routines
Table of Contents for all manual pages
Index of all manual pages